[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.EnableIdleHandler

Resumes Idle handling.

## Declaration

Source position: forms.pp line 1637

`public procedure TApplication.EnableIdleHandler;`

## Description

Attempts to re-enable idle handling by decrementing the internal idle lock counter. Idle handling is enabled when the internal idle lock counter is 0.

Called from the ShowException method when the exception dialog is exited.

## Errors

Raises a catchable GDB Exception if the idle handler has not already been disabled.

## See also

TApplication.DisableIdleHandler |  | Disables Idle handling.